"""
Phone caller
"""

import dbus

class PhoneCaller:
    """Caller class."""

    def __init__(self):
        self.caller = None

    def call(self, number):
        """Make Phone call."""

        # lazy creation
        if self.caller is None:
            try:
                self.caller = dbus.Interface(dbus.SystemBus().get_object( \
                'com.nokia.csd', '/com/nokia/csd/call'), 'com.nokia.csd.Call')
            except dbus.exceptions.DBusException:
                return
        try:
            self.caller.CreateWith(number, dbus.UInt32(0))
        except dbus.exceptions.DBusException:
            return

