"""
UI factory
"""

def app_factory(interface=None):
    if not interface or interface == 'fremantle':
        from meabook.ui.fremantle_ui.fremantle_ui import FremantleMeabook
        from meabook.renderers.fremantle_renderer import FremantleRenderer
        return FremantleMeabook, FremantleRenderer
    elif interface == 'diablo':
        from meabook.ui.diablo_ui.diablo_ui import DiabloMeabook
        from meabook.renderers.diablo_renderer import DiabloRenderer
        return DiabloMeabook, DiabloRenderer

    elif interface == 'text':
        from ui.text_ui import TextMeabook
        return TextMeabook
    else:
        raise ValueError('%s: unsupported UI type' % interface)
